package ch.ethz.se.rpnc.instruct.visitor;

import ch.ethz.se.rpnc.instruct.CalculatorInstructCommand;
import ch.ethz.se.rpnc.instruct.CalculatorInstructOperand;
import ch.ethz.se.rpnc.instruct.CalculatorInstructOperator;

public interface CalculatorInstructVisitor {

	void visitOperator(CalculatorInstructOperator calculatorCommandOperator) throws Exception;

	void visitOperand(CalculatorInstructOperand calculatorCommandOperand);

	void visitCommand(CalculatorInstructCommand calculatorInputCommand) throws Exception;

}
