/**
 * 
 */
package ch.ethz.se.rpnc.node;

import ch.ethz.se.rpnc.node.visitor.Visitor;

/**
 * Plus-operator.
 * @author aleitner
 */
public class PlusOperator extends Operator
{
	/**
	 * Create new plus-operator.
	 */
	public PlusOperator() 
	{
		super("+");
	}

	/* (non-Javadoc)
	 * @see ch.ethz.se.rpnc.Node#accept(ch.ethz.se.rpnc.Visitor)
	 */
	public void accept(Visitor visitor) throws Exception
	{
		visitor.visitPlusOperator (this);
	}

}
