/**
 * 
 */
package ch.ethz.se.rpnc.node;

import ch.ethz.se.rpnc.node.visitor.Visitor;

/**
 * Times-operator.
 * @author aleitner
 */
public class TimesOperator extends Operator
{
	/**
	 * Create new times-operator.
	 */
	public TimesOperator() 
	{
		super("*");
	}

	/* (non-Javadoc)
	 * @see ch.ethz.se.rpnc.Node#accept(ch.ethz.se.rpnc.Visitor)
	 */
	public void accept(Visitor visitor) throws Exception
	{
		visitor.visitTimesOperator (this);
	}

}
