package ch.ethz.se.rpnc.node;

import ch.ethz.se.rpnc.node.visitor.Visitor;

/**
 * Interface all RPN nodes need to implement.
 * @author aleitner
 */
public interface Node
{

	/**
	 * Accept visitor.
	 * @param visitor Visitor
	 * @throws Exception 
	 */
	public void accept (Visitor visitor) throws Exception;

}
