package ch.ethz.se.rpnc.node;

import ch.ethz.se.rpnc.node.visitor.Visitor;

/**
 * Minus-operator.
 * @author aleitner
 */
public class MinusOperator extends Operator
{

	/**
	 * Create new minus-operator.
	 */
	public MinusOperator() 
	{
		super("-");
	}

	/* (non-Javadoc)
	 * @see ch.ethz.se.rpnc.Node#accept(ch.ethz.se.rpnc.Visitor)
	 */
	public void accept(Visitor visitor) throws Exception
	{
		visitor.visitMinusOperator (this);
	}

}
